/*!
 * Copyright (c) Microsoft. All rights reserved.
 * Licensed under the MIT license. See LICENSE file in the project.
 */ /* eslint-disable @typescript-eslint/no-unsafe-assignment, @typescript-eslint/no-explicit-any */ "use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "createBabelConfig", {
    enumerable: true,
    get: function() {
        return createBabelConfig;
    }
});
const resolve = require.resolve;
function createBabelConfig({ modules, targets, corejs = 3, useBuiltIns = "usage", presets = [], plugins = [] }) {
    return {
        presets: [
            [
                resolve("@babel/preset-env"),
                {
                    modules: modules === "cjs" ? "cjs" : false,
                    targets,
                    useBuiltIns,
                    corejs
                }
            ],
            ...presets
        ],
        plugins: [
            resolve("babel-plugin-transform-typescript-metadata"),
            resolve("@babel/plugin-proposal-class-properties"),
            resolve("@babel/plugin-proposal-object-rest-spread"),
            resolve("@babel/plugin-proposal-optional-chaining"),
            resolve("@babel/plugin-proposal-nullish-coalescing-operator"),
            ...plugins
        ]
    };
}

//# sourceMappingURL=createBabelConfig.js.map