import type { BabelSpecification } from './createBabelConfig.js';
export * from './createBabelConfig.js';
/**
 * Gets the babel CJS configuration
 * @param env The babel env to use
 */
export declare function getCjsConfiguration(env: string, spec?: Partial<BabelSpecification>): any;
/**
 * Gets the babel ESM configuration
 * @param env The babel env to use
 */
export declare function getEsmConfiguration(env: string, spec?: Partial<BabelSpecification>): any;
/**
 * Gets node-compatible configuration to use
 * with the current node version that supports
 * TypeScript & React. Usable for Jest testing.
 */
export declare function getNodeConfiguration(spec?: Partial<BabelSpecification>): any;
